import axios from "axios";
import {tokenUtil} from "./TokenUtil";

const host = "localhost:8080"; //дебаг вместе с беком
// const host = "192.168.1.100:8091"; //дебаг фронта
// const host = "bar.kayashov.keenetic.pro"; //прод
export const api = () => {
    const result = axios;
    result.defaults.baseURL = `${window.location.protocol}//${host}/`;
    if (tokenUtil.checkToken(tokenUtil.getToken())) {
        result.defaults.headers.common["Authorization"] = "Bearer " + tokenUtil.getToken();
    } else {
        delete result.defaults.headers.common
    }
    return result;
}